Subject: Re: Cygwin homedirs and roaming profiles.
From: Larry Hall <[email-masked]>
To: [email-masked]
Cc: "Hr. Daniel Mikkelsen" <[email-masked]>
Date: Thu, 12 Feb 2004 21:17:13 -0500

At 09:09 PM 2/12/2004, Igor Pechtchanski you wrote:
>On Thu, 12 Feb 2004, Larry Hall wrote:
>
>> At 08:08 PM 2/12/2004, Hr. Daniel Mikkelsen you wrote:
>> >Hi.
>> >
>> >I've been unable to find information on this in the documentation, the
>> >FAQs and on the net:
>> >
>> >I have a situation where I want to use Cygwin in a multiuser
>> >environment where users hop from one computer to the next, with roaming
>> >profiles (stored on a Samba server).
>> >
>> >I have two problems:
>> >
>> >1) It appears domain users are stored in the local passwd file in a
>> >"domain\user" format on each workstation. But each user has to run
>> >Cygwin once to have this (and the homedir) set up. Are there neat ways
>> >to do all this automaticly and correctly in my situation?
>>
>> This actually happens on installation, through postinstall scripts.  So
>> unless the installation happens through some method other than setup.exe
>> (in which case it is unsupported ;-) ), these files should be on the
>> local machine as part of the install.  OK, I just wanted to correct any
>> misconception you had about how and when these files are made.  On to
>> your question now.
>>
>> If the machines in question are always on the same domain (it sounds
>> like they are), you can put the passwd and group files on a central
>> server and have all the local machines just point to them via symlinks.
>
>Or just mount /etc (or even /etc/passwd and /etc/group) off a network
>drive...

OK, yeah.  I was thinking of that variant when I mentioned the above 
but I didn't explicitly mention it.  The "central server" doesn't have
to be anything more than some shared folder somewhere on the network.
Don't anybody go a buyin' a Windows server machine just for this! ;-)

--
Larry Hall                              http://www.rfk.com
RFK Partners, Inc.                      (508) 893-9779 - RFK Office
838 Washington Street                   (508) 893-9889 - FAX
Holliston, MA 01746                     

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/